*{
  margin:0;
  padding:0;
  box-sizing:border-box;
}
body{
  margin:0;
font-family:'Open Sans', sans-serif;
background-color: black;
overflow-x:hidden;
}

html{
  overflow-x:hidden;
}

h1,
h2,
h3,
.logo,
.quote-btn{
  font-family:'Roboto', sans-serif;
}
.projects-hero{

 min-height:500px;

  background-image:

  linear-gradient(
    to right,
    rgba(0,0,0,0.95) 30%,
    rgba(0,0,0,0.75) 55%,
    rgba(0,0,0,0.25) 100%
  ),

  url("images/service-bg.png");

  background-size:cover;

  background-position:center;

  background-repeat:no-repeat;

}
/* NAVBAR */

.navbar{

  display:flex;

  justify-content:space-between;

  align-items:center;

  position:fixed;

  top:0;

  left:0;

  width:100%;

  z-index:9999;

  padding:18px 90px;

  transition:0.4s ease;
  background-color: black;

}

.logo img{
  width:130px;
}

.nav-links{

  display:flex;
  gap:40px;

}

.nav-links a{

  color:white;

  text-decoration:none;

  font-size:18px;

  transition:0.3s;

  position:relative;

  padding-bottom:6px;

  display:inline-block;

}

.nav-links a:hover{
  color:#ff2b2b;
}
/* RED LINE */

.nav-links a::after{

  content:"";

  position:absolute;

  left:0;

  bottom:0;

  width:0%;

  height:3px;

  background:#ff2b2b;

  transition:0.3s ease;

}

/* SHOW LINE */

.nav-links a:hover::after{

  width:100%;

}
/* BUTTON */

.quote-btn{

  background:#ff2b2b;
  color:white;

  text-decoration:none;

  padding:16px 28px;

  font-weight:700;
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;

}

.quote-btn:hover{

  background:white;

  color:black;


}
/* HAMBURGER */

    .hamburger{

    display:none;

    flex-direction:column;

    gap:6px;

    cursor:pointer;

    }

    .hamburger span{

    width:30px;

    height:3px;

    background:white;

    border-radius:10px;

    }

.navbar.scrolled{

  background:rgba(0,0,0,0.95);

  backdrop-filter:blur(10px);

  box-shadow:0 5px 20px rgba(0,0,0,0.4);

}

.navbar.hide{

  transform:translateY(-120%);

}
/* DROPDOWN */

.dropdown{

  position:relative;

}

/* PROJECTS LINK */

.dropdown-link{

  display:flex;

  align-items:center;

  gap:8px;

}

/* DROPDOWN MENU */

.dropdown-menu{

  position:absolute;

  top:140%;

  left:0;

  background:black;

  min-width:240px;

  padding:15px 0;

  border:1px solid rgba(255,255,255,0.1);

  opacity:0;

  visibility:hidden;

  transform:translateY(10px);

  transition:0.3s ease;

  z-index:999;

}

/* DROPDOWN LINKS */

.dropdown-menu a{

  display:block;

  padding:14px 22px;

  color:white;

  text-decoration:none;

  font-size:16px;

  transition:0.3s ease;

}

/* HOVER EFFECT */

.dropdown-menu a:hover{

  background:#ff2b2b;

  color:white;

}

/* SHOW MENU */

.dropdown:hover .dropdown-menu{

  opacity:1;

  visibility:visible;

  transform:translateY(0);

}

@media(max-width:900px){

  .nav-links{

    position:absolute;

    top:100px;

    right:0;

    background:black;

    width:100%;

    flex-direction:column;

    align-items:center;

    padding:40px 0;

    gap:30px;

    display:none;

  }

  .nav-links.active{

    display:flex;

  }

  .hamburger{

    display:flex;

  }

  .quote-btn{

    display:none;

  }

}
/* TABLET */

@media(max-width:1200px){

  .navbar{

    padding:18px 40px;

  }

  .nav-links{

    gap:25px;

  }

  .nav-links a{

    font-size:16px;

  }

  .quote-btn{

    padding:14px 22px;

    font-size:14px;

  }

  .logo img{

    width:110px;

  }

}

/* HERO CONTENT */

.projects-hero-content{

 width:100%;

  min-height:100vh;

  display:flex;

  align-items:center;

  padding:140px 90px 80px;


}

/* LEFT SIDE */

.projects-left{

  max-width:900px;

}

/* SMALL TITLE */

.projects-small-title{

  color:#ff2b2b;

  font-size:28px;

  font-weight:800;

  margin-bottom:35px;

}

/* BIG TITLE */

.projects-title{

  color:white;

  font-size:71px;

  line-height:1.05;

  font-weight:900;

  font-style:italic;

  margin-bottom:35px;

}

/* RED TEXT */

.projects-title span{

  color:#ff2b2b;

}

/* DESCRIPTION */

.projects-description{

  color:#e0e0e0;

  font-size:22px;

  line-height:1.6;

  max-width:700px;

}

/* MOBILE */

@media(max-width:1000px){

  .projects-hero-content{

    padding:60px 25px;

  }

  .projects-title{

    font-size:62px;

  }

  .projects-description{

    font-size:22px;

  }

}

/* SECTION */

.projects-section{

  background:black;

  padding:100px 90px;

}

/* CONTAINER */

.projects-container{

  max-width:1400px;

  margin:auto;

}

/* RED TITLE */

.project-category-title{

  color:#ff2b2b;

  font-size:32px;

  font-weight:800;

  margin-bottom:50px;
  margin-top: 50px;

}

/* GRID */

.projects-grid{

  display:grid;

  grid-template-columns:
  repeat(3, 1fr);

  gap:60px;

}

/* CARD */

.project-card{

  position:relative;

  overflow:hidden;

  cursor:pointer;

}

/* IMAGE */

.project-card img{

  width:100%;

  height:420px;

  object-fit:cover;

  display:block;

  transition:0.4s ease;

}

/* DARK OVERLAY */

.project-overlay{

  position:absolute;

  bottom:0;

  left:0;

  width:100%;

  padding:18px;

  background:
  linear-gradient(
    to top,
    rgba(0,0,0,0.92),
    rgba(0,0,0,0.2)
  );

}

/* TITLE */

.project-overlay h3{

  color:white;

  font-size:18px;

  font-weight:800;

  margin-bottom:8px;

}

/* DESCRIPTION */

.project-overlay p{

  color:#d0d0d0;

  font-size:13px;

  line-height:1.5;

}

/* HOVER EFFECT */

.project-card:hover img{

  transform:scale(1.08);

}
/* MOBILE PROJECT CARDS */

@media(max-width:1000px){

  .projects-section{

    padding:80px 25px;

  }

  .projects-grid{

    grid-template-columns:1fr;

    gap:35px;

  }

  .project-card img{

    height:320px;

  }

  .project-category-title{

    font-size:28px;

    margin-bottom:30px;

  }

}
/* CTA SECTION */

.cta-section{

  background-image:

  linear-gradient(
    to right,
    rgba(0,0,0,0.92) 0%,
    rgba(0,0,0,0.55) 0%
  ),

  url("images/cta-bg.jpeg");

  background-size:600px;

  background-position:right;

  background-repeat:no-repeat;

  padding:100px 90px;
  background-color: black;

}

/* CONTENT */

.cta-content{

  max-width:750px;

  display:flex;

  align-items:flex-start;

  gap:35px;

}

/* ICON */

.cta-icon i{

  color:#ff2b2b;

  font-size:90px;

}

/* TITLE */

.cta-text h2{

  color:white;

  font-size:64px;

  font-weight:900;

  line-height:1.1;

  margin-bottom:35px;

}

/* DESCRIPTION */

.cta-text p{

  color:#e0e0e0;

  font-size:30px;

  line-height:1.7;

  margin-bottom:40px;

}

/* BUTTONS */

.cta-buttons{

  display:flex;

  gap:25px;

}

/* RED BUTTON */

.cta-btn-red{

  background:#ff2b2b;

  color:white;

  text-decoration:none;

  padding:18px 38px;

  font-weight:700;

  transition:0.3s ease;

}

/* OUTLINE BUTTON */

.cta-btn-outline{

  border:2px solid white;

  color:white;

  text-decoration:none;

  padding:18px 38px;

  font-weight:700;

  transition:0.3s ease;

}

/* HOVER */

.cta-btn-red:hover{

  background:white;

  color:black;

}

.cta-btn-outline:hover{

  background:white;

  color:black;

}

@media(max-width:1000px){

  .cta-section{

    padding:80px 25px;

    background-position:center;

  }

  .cta-content{

    flex-direction:column;

  }

  .cta-text h2{

    font-size:48px;

  }

  .cta-text p{

    font-size:22px;

  }

  .cta-buttons{

    flex-direction:column;

  }

}

/* ========================= */
/* LIVE MAP SECTION */
/* ========================= */

.map-section{

  background:#f2f2f2;

  padding:80px 70px;

}

/* MAP BOX */

.map-container{

  width:100%;

  height:650px;

  overflow:hidden;

}

/* IFRAME */

.map-container iframe{

  width:100%;

  height:100%;

  display:block;

}

/* MOBILE */

@media(max-width:1000px){

  .map-section{

    padding:40px 20px;

  }

  .map-container{

    height:450px;

  }

}
/* ========================= */
/* FOOTER CONTACT SECTION */
/* ========================= */

.footer-contact{

  background:black;

  padding:80px 70px 20px;

}

/* CONTAINER */

.footer-container{

  display:grid;

  grid-template-columns:
  1fr 1fr;

  gap:80px;

}

/* SMALL TITLE */

.footer-small-title{

  color:#ff2b2b;

  font-size:34px;

  font-weight:900;

  margin-bottom:40px;

}

/* BIG TITLE */

.footer-title{

  color:white;

  font-size:78px;

  line-height:1.15;

  font-weight:900;

  margin-bottom:20px;

}
.footer-title span{
  color:#ff2b2b;
}

/* LOGO */

.footer-logo{

  width:260px;

  margin-bottom:0px;

}
/* DESCRIPTION */

.footer-description{

  color:#dddddd;

  font-size:22px;

  line-height:1.7;

  max-width:700px;
  margin-top:40px;

}
.footer-left{

  display:flex;

  flex-direction:column;

  justify-content:flex-start;

  align-self:start;

}

/* RIGHT TEXT */

.footer-text{

  color:white;

  font-size:22px;

  margin-bottom:40px;

}

/* MESSENGER BUTTON */

.messenger-btn{

  display:inline-flex;

  align-items:center;

  gap:15px;

  background:#ff2b2b;

  color:white;

  text-decoration:none;

  padding:22px 32px;

  font-size:22px;

  font-weight:700;

  margin-bottom:50px;

  transition:0.3s;

}

.messenger-btn:hover{

  background:white;

  color:black;

}

/* CONTACT LIST */

.footer-contact-list{

  display:flex;

  flex-direction:column;

  gap:35px;

}

/* ITEM */

.footer-contact-item{

  display:flex;

  align-items:center;

  gap:25px;

}

/* ICON CIRCLE */

.footer-icon-circle{

  width:85px;

  height:85px;

  min-width:85px;

  border-radius:50%;

  background:#ff2b2b;

  display:flex;

  justify-content:center;

  align-items:center;

}

/* ICON */

.footer-icon-circle i{

  color:white;

  font-size:38px;

}

/* TEXT */

.footer-contact-item p{

  color:white;

  font-size:22px;

  line-height:1.5;

}

/* COPYRIGHT */

.footer-bottom{

  text-align:center;

  color:#bbbbbb;

  font-size:16px;

  margin-top:80px;

}

/* MOBILE */

@media(max-width:1000px){

  .footer-container{

    grid-template-columns:1fr;

    gap:60px;

  }

  .footer-contact{

    padding:60px 25px 20px;

  }

  .footer-title{

    font-size:56px;

  }

  .footer-description{

    font-size:22px;

  }

  .footer-text{

    font-size:22px;

  }

  .footer-contact-item p{

    font-size:22px;

  }

  .messenger-btn{

    font-size:18px;

    padding:18px 24px;

  }

}
/* ========================= */
/* FADE IN ANIMATION */
/* ========================= */

.fade-in{

  opacity:0;

  transform:translateY(60px);

  transition:
  opacity 0.9s ease,
  transform 0.9s ease;

}

/* ACTIVE */

.fade-in.show{

  opacity:1;

  transform:translateY(0);

}